SDL_SetPointerPropertyWithCleanup(3)

NAME
SDL_SetPointerPropertyWithCleanup - Set a pointer property in a group of properties with a cleanup function that is called when the property is deleted.

SYNOPSIS
#include <SDL3/SDL_properties.h>

bool SDL_SetPointerPropertyWithCleanup(SDL_PropertiesID props, const char *name, void *value, SDL_CleanupPropertyCallback cleanup, void *userdata);

DESCRIPTION
The cleanup function is also called if setting the property fails for any reason.

For simply setting basic data types, like numbers, bools, or strings, use SDL_SetNumberProperty, SDL_SetBooleanProperty, or SDL_SetStringProperty instead, as those functions will handle cleanup on your behalf. This function is only for more complex, custom data.

FUNCTION PARAMETERS

props
    the properties to modify.

name
    the name of the property to modify.

value
    the new value of the property, or NULL to delete the property.

cleanup
    the function to call when this property is deleted, or NULL if no cleanup is necessary.

userdata
    a pointer that is passed to the cleanup function.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetPointerProperty(3), SDL_SetPointerProperty(3), SDL_CleanupPropertyCallback(3type)